Loading...
Searching...
No Matches
BALL::ExpressionParser::SyntaxTree Class Reference

`#include <BALL/KERNEL/expressionParser.h>`

## Public Types

Type Definitions
typedef list< SyntaxTree * >::iterator | Iterator
| An iterator for the children of a given node.
typedef list< SyntaxTree * >::const_iterator | ConstIterator
| A const iterator for the children of a given node.

## Public Member Functions

Constructors and Destructors
| SyntaxTree ()
| SyntaxTree (const char *predicate_name, const char *args)
| SyntaxTree (SyntaxTree *left, SyntaxTree *right, ExpressionTree::Type type)
virtual | ~SyntaxTree ()
Assignment
virtual void | clear ()
Accessors
Iterator | begin ()
Iterator | end ()
ConstIterator | begin () const
ConstIterator | end () const
Debugging
void | dump (std::ostream &is=std::cout, Size depth=0) const

## Public Attributes

Public attributes
String | expression
String | predicate
String | argument
bool | evaluated
bool | negate
ExpressionTree::Type | type
list< SyntaxTree * > | children

## Detailed Description

SyntaxTree. This internal class should be used in the implementation of ExpressionParser only.

Definition at line 31 of file expressionParser.h.

## Member Typedef Documentation

## ConstIterator

typedef list<SyntaxTree*>::const_iterator BALL::ExpressionParser::SyntaxTree::ConstIterator

A const iterator for the children of a given node.

Definition at line 43 of file expressionParser.h.

## Iterator

typedef list<SyntaxTree*>::iterator BALL::ExpressionParser::SyntaxTree::Iterator

An iterator for the children of a given node.

Definition at line 40 of file expressionParser.h.

## Constructor & Destructor Documentation

## SyntaxTree() [1/3]

BALL::ExpressionParser::SyntaxTree::SyntaxTree | ( |  | ) |

Default constructor.

## SyntaxTree() [2/3]

BALL::ExpressionParser::SyntaxTree::SyntaxTree | ( | const char * | predicate_name,
|  | const char * | args )

Detailed constructor.

## SyntaxTree() [3/3]

BALL::ExpressionParser::SyntaxTree::SyntaxTree | ( | SyntaxTree * | left,
|  | SyntaxTree * | right,
|  | ExpressionTree::Type | type )

Detailed constructor

## ~SyntaxTree()

virtual BALL::ExpressionParser::SyntaxTree::~SyntaxTree | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## begin() [1/2]

Iterator BALL::ExpressionParser::SyntaxTree::begin | ( |  | ) |

Return a mutable iterator pointing to the first child.

## begin() [2/2]

ConstIterator BALL::ExpressionParser::SyntaxTree::begin | ( |  | ) | const

Return a constant iterator pointing to the first child.

## clear()

virtual void BALL::ExpressionParser::SyntaxTree::clear | ( |  | ) |

virtual

Clear method. This method brings this instance to the state after default construction. Note that the list of children will be cleared but the childrem themselves will \emph{not} be deleted.

## dump()

void BALL::ExpressionParser::SyntaxTree::dump | ( | std::ostream & | is = std::cout,
|  | Size | depth = 0 ) const

## end() [1/2]

Iterator BALL::ExpressionParser::SyntaxTree::end | ( |  | ) |

Return a mutable iterator pointing to the last child.

## end() [2/2]

ConstIterator BALL::ExpressionParser::SyntaxTree::end | ( |  | ) | const

Return a constant iterator pointing to the last child.

## Member Data Documentation

## argument

String BALL::ExpressionParser::SyntaxTree::argument

?????

Definition at line 121 of file expressionParser.h.

## children

list<SyntaxTree*> BALL::ExpressionParser::SyntaxTree::children

?????

Definition at line 137 of file expressionParser.h.

## evaluated

bool BALL::ExpressionParser::SyntaxTree::evaluated

?????

Definition at line 125 of file expressionParser.h.

## expression

String BALL::ExpressionParser::SyntaxTree::expression

Definition at line 113 of file expressionParser.h.

## negate

bool BALL::ExpressionParser::SyntaxTree::negate

?????

Definition at line 129 of file expressionParser.h.

## predicate

String BALL::ExpressionParser::SyntaxTree::predicate

?????

Definition at line 117 of file expressionParser.h.

## type

ExpressionTree::Type BALL::ExpressionParser::SyntaxTree::type

?????

Definition at line 133 of file expressionParser.h.